### Enumeration

# Hinawa FwTcode

since: 1.0

#### Declaration

    enum Hinawa.FwTcode

#### Description [src]

A representation for tcode of asynchronous transaction on IEEE 1394 bus.

Available since: 1.0

#### Members

`HINAWA_FW_TCODE_WRITE_QUADLET_REQUEST`

  For request to write quadlet.

  - Value: `0`
  - Available since: 1.0
`HINAWA_FW_TCODE_WRITE_BLOCK_REQUEST`

  For request to write block.

  - Value: `1`
  - Available since: 1.0
`HINAWA_FW_TCODE_WRITE_RESPONSE`

  For response to write.

  - Value: `2`
  - Available since: 1.0
`HINAWA_FW_TCODE_READ_QUADLET_REQUEST`

  For response to read quadlet.

  - Value: `4`
  - Available since: 1.0
`HINAWA_FW_TCODE_READ_BLOCK_REQUEST`

  For request to read block.

  - Value: `5`
  - Available since: 1.0
`HINAWA_FW_TCODE_READ_QUADLET_RESPONSE`

  For response to quadlet read.

  - Value: `6`
  - Available since: 1.0
`HINAWA_FW_TCODE_READ_BLOCK_RESPONSE`

  For response to block read.

  - Value: `7`
  - Available since: 1.0
`HINAWA_FW_TCODE_CYCLE_START`

  For cycle start.

  - Value: `8`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_REQUEST`

  For request to lock.

  - Value: `9`
  - Available since: 1.0
`HINAWA_FW_TCODE_STREAM_DATA`

  For stream data.

  - Value: `10`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_RESPONSE`

  For response to lock.

  - Value: `11`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_MASK_SWAP`

  For lock request for mask-swap.

  - Value: `17`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_COMPARE_SWAP`

  For lock request for compare-swap.

  - Value: `18`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_FETCH_ADD`

  For lock request for fetch-add.

  - Value: `19`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_LITTLE_ADD`

  For lock request for little-add.

  - Value: `20`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_BOUNDED_ADD`

  For lock request for bounded-add.

  - Value: `21`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_WRAP_ADD`

  For lock request for wrap-add.

  - Value: `22`
  - Available since: 1.0
`HINAWA_FW_TCODE_LOCK_VENDOR_DEPENDENT`

  For lock request for vendor-dependent.

  - Value: `23`
  - Available since: 1.0